idris-1.3.4: Functional Programming Language with Dependent Types

License | BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell2010

Idris.REPL

Description

Synopsis

- idemodeStart :: Bool -> IState -> [FilePath] -> Idris ()
- startServer :: PortNumber -> IState -> [FilePath] -> Idris ()
- runClient :: Maybe PortNumber -> String -> IO ()
- process :: FilePath -> Command -> Idris ()
- replSettings :: Maybe FilePath -> Settings Idris
- repl :: IState -> [FilePath] -> FilePath -> InputT Idris ()
- proofs :: IState -> Idris ()

# Documentation

idemodeStart :: Bool -> IState -> [FilePath] -> Idris () #

Run the IdeMode

startServer :: PortNumber -> IState -> [FilePath] -> Idris () #

Run the REPL server

runClient :: Maybe PortNumber -> String -> IO () #

Run a command on the server on localhost

process :: FilePath -> Command -> Idris () #

replSettings :: Maybe FilePath -> Settings Idris #

repl #

Arguments

:: IState | The initial state
-> [FilePath] | The loaded modules
-> FilePath | The file to edit (with :e)
-> InputT Idris () |

Run the REPL

proofs :: IState -> Idris () #